## manila 9.0.0~b1~git2019061715.86823b5c

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
openstackdocstheme>=1.18.1 # Apache-2.0
reno>=2.5.0 # Apache-2.0
doc8>=0.6.0 # Apache-2.0
sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7'  # BSD
sphinx!=1.6.6,!=1.6.7,!=2.1.0,>=1.6.2;python_version>='3.4'  # BSD
mock>=2.0.0 # BSD
os-api-ref>=1.4.0 # Apache-2.0
ddt>=1.0.1 # MIT
fixtures>=3.0.0 # Apache-2.0/BSD
oslotest>=3.2.0 # Apache-2.0

=== debian/changelog ===
manila (1:9.0.0~b1~git2019061715.86823b5c-0ubuntu1) eoan; urgency=medium

  * New upstream release 9.0.0~b1.
  * d/rules: Fix binary name used to generate config files.
  * d/rules: Fix binary name used to generate policy smaple.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Wed, 19 Jun 2019 11:13:24 +0100

## manila 9.0.0~b2~git2019073018.cc830350

=== debian/changelog ===
manila (1:9.0.0~b2~git2019073018.cc830350-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Tue, 30 Jul 2019 18:32:19 +0200

=== debian/control ===
Source: manila
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Chuck Short <zulcss@ubuntu.com>, Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Malihe Asemani <ml.asemani@gmail.com>,
 Andreas Tille <andreas@an3as.eu>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 85ubuntu3~),
 po-debconf,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 alembic (>= 0.8.10),
 python3-alembic (>= 0.8.10),
 python3-babel (>= 2.3.4),
 python3-bashate (>= 0.5.1),
 python3-cinderclient (>= 1:3.3.0),
 python3-coverage (>= 4.0),
 python3-ddt (>= 1.0.1),
 python3-eventlet (>= 0.18.2),
 python3-fixtures (>= 3.0.0),
 python3-greenlet (>= 0.4.10),
 python3-hacking (>= 0.12.0),
 python3-iso8601 (>= 0.1.11),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-lxml (>= 3.4.1),
 python3-mock (>= 2.0.0),
 python3-mysqldb,
 python3-netaddr (>= 0.7.18),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:9.1.0),
 python3-openstackdocstheme (>= 1.20.0),
 python3-os-api-ref (>= 1.4.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.rootwrap (>= 5.8.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.upgradecheck (>= 0.1.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-paramiko (>= 2.0.0),
 python3-paste (>= 2.0.2),
 python3-pastedeploy (>= 1.5.0),
 python3-pep8,
 python3-psycopg2 (>= 2.6.2),
 python3-pymysql (>= 0.7.6),
 python3-pyparsing (>= 2.1.0),
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.2.0),
 python3-retrying (>= 1.2.3),
 python3-routes (>= 2.3.1),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-stestr,
 python3-stevedore (>= 1:1.20.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-tooz (>= 1.58.0),
 python3-webob (>= 1:1.7.1),
Build-Conflicts:
 bpython,
 ipython,
Standards-Version: 4.1.4
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/manila
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/manila
Homepage: https://github.com/openstack/manila
Testsuite: autopkgtest-pkg-python

Package: manila-api
Architecture: all
Depends:
 adduser,
 manila-common (= ${binary:Version}),
 q-text-as-data,
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack shared file system as a service - API server
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Manila API server.

Package: manila-data
Architecture: all
Depends:
 manila-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: Manila storage service - Data service
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Manila is the OpenStack shared filesystem service.
 .
 This package contains the Manila Data service.

Package: manila-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 python3-manila (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack shared file system as a service - common files
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains commons components for Manila.

Package: manila-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack shared file system as a service - Doc
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the documentation.

Package: manila-scheduler
Architecture: all
Depends:
 manila-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack shared file system as a service - Scheduler server
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Manila Scheduler server.

Package: manila-share
Architecture: all
Depends:
 manila-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack shared file system as a service - Share server
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Manila Share daemon.

Package: python3-manila
Section: python
Architecture: all
Depends:
 alembic (>= 0.8.10),
 e2fsprogs,
 python3-alembic (>= 0.8.10),
 python3-babel (>= 2.3.4),
 python3-cinderclient (>= 1:3.3.0),
 python3-eventlet (>= 0.18.2),
 python3-greenlet (>= 0.4.10),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-lxml (>= 3.4.1),
 python3-netaddr (>= 0.7.18),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:9.1.0),
 python3-openstackclient,
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.rootwrap (>= 5.8.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.upgradecheck (>= 0.1.0),
 python3-oslo.utils (>= 3.33.0),
 python3-paramiko (>= 2.0.0),
 python3-paste (>= 2.0.2),
 python3-pastedeploy (>= 1.5.0),
 python3-pbr (>= 2.0.0),
 python3-psycopg2 (>= 2.6.2),
 python3-pymysql,
 python3-pyparsing (>= 2.1.0),
 python3-requests (>= 2.14.2),
 python3-retrying (>= 1.2.3),
 python3-routes (>= 2.3.1),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-stevedore (>= 1:1.20.0),
 python3-tooz (>= 1.58.0),
 python3-webob (>= 1:1.7.1),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack shared file system as a service - Python 3 libs
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Python 3 library for Manila.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,systemd,sphinxdoc

override_dh_auto_clean:
	rm -f etc/manila/manila.conf
	rm -f debian/*.service debian/*.upstart debian/*.init
	rm -f debian/manila-common.postinst debian/manila-common.config debian/manila-api.config debian/manila-api.postinst debian/manila-common.postrm
	rm -rf debian/manila-common.postrm debian/*.templates debian/po

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func manila-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func manila-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func manila-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func manila-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm manila-common.postrm
	pkgos-merge-templates manila-api manila endpoint
	pkgos-merge-templates manila-common manila db rabbit ksat

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	pkgos-dh_auto_install --no-py2
	rm -rf $(CURDIR)/debian/python3-manila/usr/etc

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'manila\.tests\.((?!.*cmd\.test_manage\.ManilaCmdManageTestCase\.test_run_ipython.*|.*share\.drivers\.dell_emc.*))'
endif

	# Generate the config file
	mkdir -p $(CURDIR)/debian/manila-common/usr/share/manila-common
	PYTHONPATH=$(CURDIR)/debian/python3-manila/usr/lib/python3/dist-packages oslo-config-generator \
		--namespace manila \
		--namespace oslo.messaging \
		--namespace oslo.middleware.cors \
		--namespace oslo.middleware.http_proxy_to_wsgi \
		--namespace oslo.db \
		--namespace oslo.db.concurrency \
		--namespace keystonemiddleware.auth_token \
		--output-file $(CURDIR)/debian/manila-common/usr/share/manila-common/manila.conf
	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/manila-common/usr/share/manila-common/manila.conf keystone_authtoken manila

	pkgos-fix-config-default $(CURDIR)/debian/manila-common/usr/share/manila-common/manila.conf keystone_authtoken auth_protocol http
	pkgos-fix-config-default $(CURDIR)/debian/manila-common/usr/share/manila-common/manila.conf oslo_concurrency lock_path /var/lock/manila

	PYTHONPATH=$(CURDIR)/debian/python3-manila/usr/lib/python3/dist-packages oslopolicy-sample-generator \
		--output-file $(CURDIR)/debian/manila-common/usr/share/manila-common/policy.json \
		--format json \
		--namespace manila

	# and copy the remaining
	set -e ; for i in api-paste.ini rootwrap.conf ; do \
		cp $(CURDIR)/etc/manila/$$i $(CURDIR)/debian/manila-common/usr/share/manila-common ; \
	done
	cp $(CURDIR)/etc/manila/logging_sample.conf $(CURDIR)/debian/manila-common/usr/share/manila-common/logging.conf
	cp -rfv $(CURDIR)/etc/manila/rootwrap.d $(CURDIR)/debian/manila-common/usr/share/manila-common

	install -D -m 0440 debian/manila-common.sudoers $(CURDIR)/debian/manila-common/etc/sudoers.d/manila-common

	dh_install
	dh_missing --fail-missing
	rm -rf $(CURDIR)/debian/manila-api/usr/lib

override_dh_auto_test:
	echo "Do nothing..."

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source $(CURDIR)/debian/manila-doc/usr/share/doc/manila-doc/html
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/manila manila-(8\.\d.*)\.tar.gz

## manila 9.0.0~rc1

=== debian/changelog ===
manila (1:9.0.0~rc1-0ubuntu2) eoan; urgency=medium

  * d/t/manila-daemons: Use mysql+pymysql in DB connection URL to fix
    error in autopkgtest.

 -- James Page <james.page@ubuntu.com>  Tue, 01 Oct 2019 08:17:32 +0100

manila (1:9.0.0~rc1-0ubuntu1) eoan; urgency=medium

  [ Sahid Orentino Ferdjaoui ]
  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

  [ Corey Bryant ]
  * d/p/add-mysql8-compatibility.patch: Ensure test setup is compatible
    with MySQL 8.
  * d/t/manila-daemons: Avoid usage of IDENTIFIED BY on GRANT, enabling
    compatibility with MySQL 8.
  * d/watch: Scope to 9.x series.
  * New upstream release candidate for OpenStack Train.
  * d/control: BD on latest python3-openstackdocstheme is required for
    successful build.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 26 Sep 2019 16:12:39 -0400

## manila 9.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

# pbr should be first
pbr!=2.1.0,>=2.0.0 # Apache-2.0

alembic>=0.8.10 # MIT
Babel!=2.4.0,>=2.3.4 # BSD
eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
greenlet>=0.4.10 # MIT
ipaddress>=1.0.17;python_version<'3.3' # PSF
lxml!=3.7.0,>=3.4.1 # BSD
netaddr>=0.7.18 # BSD
oslo.config>=5.2.0 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0
oslo.db>=4.27.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.policy>=1.30.0 # Apache-2.0
oslo.reports>=1.18.0 # Apache-2.0
oslo.rootwrap>=5.8.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
oslo.upgradecheck>=0.1.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
oslo.concurrency>=3.26.0 # Apache-2.0
paramiko>=2.0.0 # LGPLv2.1+
Paste>=2.0.2 # MIT
PasteDeploy>=1.5.0 # MIT
pyparsing>=2.1.0 # MIT
python-neutronclient>=6.7.0 # Apache-2.0
keystoneauth1>=3.4.0 # Apache-2.0
keystonemiddleware>=4.17.0 # Apache-2.0
requests>=2.14.2 # Apache-2.0
retrying!=1.3.0,>=1.2.3 # Apache-2.0
Routes>=2.3.1 # MIT
six>=1.10.0 # MIT
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
stevedore>=1.20.0 # Apache-2.0
tooz>=1.58.0 # Apache-2.0
python-cinderclient!=4.0.0,>=3.3.0 # Apache-2.0
python-novaclient>=9.1.0 # Apache-2.0
WebOb>=1.7.1 # MIT

=== debian/changelog ===
manila (1:9.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Oct 2019 14:01:18 +0200

manila (1:9.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Oct 2019 18:33:01 +0200

manila (1:9.0.0~rc1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 Sep 2019 12:15:47 +0200

manila (1:8.0.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 17 Jul 2019 19:19:27 +0200

manila (1:8.0.0-2) experimental; urgency=medium

  * d/control:
      - Bump openstack-pkg-tools to version 99
      - Add me to uploaders field
  * d/copyright: Add me to uploaders field

 -- Michal Arbet <michal.arbet@ultimum.io>  Fri, 03 May 2019 12:14:45 +0200

manila (1:8.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Apr 2019 09:48:58 +0200

manila (1:8.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed versions of packages when satisfied in Buster.
  * Add oslo.upgradecheck as (build-)depends.
  * Removed python3- prefix when calling config generators.

 -- Thomas Goirand <zigo@debian.org>  Fri, 29 Mar 2019 23:31:59 +0100

=== debian/control ===
Source: manila
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools (>= 99~),
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx <!nodoc>,
Build-Depends-Indep:
 alembic (>= 0.8.10),
 git,
 python3-babel,
 python3-bashate,
 python3-cinderclient,
 python3-coverage,
 python3-ddt <!nodoc>,
 python3-eventlet,
 python3-fixtures <!nodoc>,
 python3-greenlet,
 python3-hacking,
 python3-iso8601,
 python3-keystoneauth1,
 python3-keystonemiddleware,
 python3-lxml,
 python3-mock,
 python3-mysqldb,
 python3-netaddr,
 python3-neutronclient,
 python3-novaclient,
 python3-openstackdocstheme <!nodoc>,
 python3-os-api-ref,
 python3-os-testr,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.reports,
 python3-oslo.rootwrap,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-oslotest <!nodoc>,
 python3-paramiko,
 python3-paste,
 python3-pastedeploy,
 python3-pep8,
 python3-psycopg2,
 python3-pymysql,
 python3-pyparsing,
 python3-requests,
 python3-requests-mock,
 python3-retrying,
 python3-routes,
 python3-six,
 python3-sqlalchemy,
 python3-stestr <!nocheck>,
 python3-stevedore,
 python3-testresources <!nocheck>,
 python3-testscenarios <!nocheck>,
 python3-testtools,
 python3-tooz,
 python3-webob,
Build-Conflicts:
 bpython,
 ipython,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/manila
Vcs-Git: https://salsa.debian.org/openstack-team/services/manila.git
Homepage: https://github.com/openstack/manila

Package: manila-api
Architecture: all
Depends:
 adduser,
 manila-common (= ${binary:Version}),
 python3-openstackclient,
 q-text-as-data,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack shared file system as a service - API server
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Manila API server.

Package: manila-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 python3-manila (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack shared file system as a service - common files
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains commons components for Manila.

Package: manila-data
Architecture: all
Depends:
 manila-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: Manila storage service - Data service
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Manila is the OpenStack shared filesystem service.
 .
 This package contains the Manila Data service.

Package: manila-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack shared file system as a service - Doc
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the documentation.

Package: manila-scheduler
Architecture: all
Depends:
 manila-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack shared file system as a service - Scheduler server
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Manila Scheduler server.

Package: manila-share
Architecture: all
Depends:
 manila-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack shared file system as a service - Share server
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Manila Share daemon.

Package: python3-manila
Section: python
Architecture: all
Depends:
 alembic,
 e2fsprogs,
 python3-babel,
 python3-cinderclient,
 python3-eventlet,
 python3-greenlet,
 python3-keystoneauth1,
 python3-keystonemiddleware,
 python3-lxml,
 python3-netaddr,
 python3-neutronclient,
 python3-novaclient,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.reports,
 python3-oslo.rootwrap,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-paramiko,
 python3-paste,
 python3-pastedeploy,
 python3-pbr,
 python3-psycopg2,
 python3-pymysql,
 python3-pyparsing,
 python3-requests,
 python3-retrying,
 python3-routes,
 python3-six,
 python3-sqlalchemy,
 python3-stevedore,
 python3-tooz,
 python3-webob,
 ${misc:Depends},
 ${python3:Depends},
Conflicts:
 python-manila,
Description: OpenStack shared file system as a service - Python libs
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Python library for Manila.

=== debian/rules ===
--- 
+++ 
@@ -24,8 +24,11 @@
 	echo "Do nothing..."
 
 override_dh_install:
-	pkgos-dh_auto_install --no-py2
-	rm -rf $(CURDIR)/debian/python3-manila/usr/etc
+	for i in $(PYTHON3S) ; do \
+		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
+	done
+
+	rm -rf $(CURDIR)/debian/tmp/usr/etc
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	pkgos-dh_auto_test --no-py2 'manila\.tests\.((?!.*cmd\.test_manage\.ManilaCmdManageTestCase\.test_run_ipython.*|.*share\.drivers\.dell_emc.*))'
@@ -33,7 +36,7 @@
 
 	# Generate the config file
 	mkdir -p $(CURDIR)/debian/manila-common/usr/share/manila-common
-	PYTHONPATH=$(CURDIR)/debian/python3-manila/usr/lib/python3/dist-packages oslo-config-generator \
+	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
 		--namespace manila \
 		--namespace oslo.messaging \
 		--namespace oslo.middleware.cors \
@@ -47,7 +50,7 @@
 	pkgos-fix-config-default $(CURDIR)/debian/manila-common/usr/share/manila-common/manila.conf keystone_authtoken auth_protocol http
 	pkgos-fix-config-default $(CURDIR)/debian/manila-common/usr/share/manila-common/manila.conf oslo_concurrency lock_path /var/lock/manila
 
-	PYTHONPATH=$(CURDIR)/debian/python3-manila/usr/lib/python3/dist-packages oslopolicy-sample-generator \
+	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
 		--output-file $(CURDIR)/debian/manila-common/usr/share/manila-common/policy.json \
 		--format json \
 		--namespace manila
@@ -70,7 +73,7 @@
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
-	sphinx-build -b html doc/source $(CURDIR)/debian/manila-doc/usr/share/doc/manila-doc/html
+	python3 -m sphinx -b html doc/source $(CURDIR)/debian/manila-doc/usr/share/doc/manila-doc/html
 	dh_sphinxdoc
 endif

## manila 10.0.0~b2~git2020020609.19877429

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
openstackdocstheme>=1.20.0 # Apache-2.0
reno>=2.5.0 # Apache-2.0
doc8>=0.6.0 # Apache-2.0
sphinx!=1.6.6,!=1.6.7,!=2.1.0,>=1.6.2;python_version>='3.4'  # BSD
mock>=2.0.0 # BSD
os-api-ref>=1.4.0 # Apache-2.0
ddt>=1.0.1 # MIT
fixtures>=3.0.0 # Apache-2.0/BSD
oslotest>=3.2.0 # Apache-2.0

=== debian/changelog ===
manila (1:10.0.0~b2~git2020020609.19877429-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Thu, 06 Feb 2020 10:49:38 +0100

manila (1:10.0.0~b1~git2019121913.02b2903f-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/rules: Switch. Switched to pybuild.
  * d/control: Drop. Dropped py2 build-deps.
  * d/p/skip-py38-failures.patch: Skip py38 failures until fixed
    upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Thu, 19 Dec 2019 14:53:42 +0100

manila (1:9.0.0-0ubuntu1) eoan; urgency=medium

  * New stable point release for OpenStack Train.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Wed, 16 Oct 2019 17:32:27 +0100

=== debian/control ===
Source: manila
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Chuck Short <zulcss@ubuntu.com>, Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Malihe Asemani <ml.asemani@gmail.com>,
 Andreas Tille <andreas@an3as.eu>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 85ubuntu3~),
 po-debconf,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 alembic (>= 0.8.10),
 python3-alembic (>= 0.8.10),
 python3-babel (>= 2.3.4),
 python3-bashate (>= 0.5.1),
 python3-cinderclient (>= 1:3.3.0),
 python3-coverage (>= 4.0),
 python3-ddt (>= 1.0.1),
 python3-doc8 (>= 0.6.0),
 python3-eventlet (>= 0.18.2),
 python3-fixtures (>= 3.0.0),
 python3-greenlet (>= 0.4.10),
 python3-hacking (>= 0.12.0),
 python3-iso8601 (>= 0.1.11),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-lxml (>= 3.4.1),
 python3-mock (>= 2.0.0),
 python3-mysqldb,
 python3-netaddr (>= 0.7.18),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:9.1.0),
 python3-openstackdocstheme (>= 1.31.1-0ubuntu2~),
 python3-os-api-ref (>= 1.4.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.rootwrap (>= 5.8.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.upgradecheck (>= 0.1.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-paramiko (>= 2.0.0),
 python3-paste (>= 2.0.2),
 python3-pastedeploy (>= 1.5.0),
 python3-pep8,
 python3-psycopg2 (>= 2.6.2),
 python3-pymysql (>= 0.7.6),
 python3-pyparsing (>= 2.1.0),
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.2.0),
 python3-reno (>= 2.5.0),
 python3-retrying (>= 1.2.3),
 python3-routes (>= 2.3.1),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-stestr,
 python3-stevedore (>= 1:1.20.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-tooz (>= 1.58.0),
 python3-webob (>= 1:1.7.1),
Build-Conflicts:
 bpython,
 ipython,
Standards-Version: 4.1.4
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/manila
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/manila
Homepage: https://github.com/openstack/manila
Testsuite: autopkgtest-pkg-python

Package: manila-api
Architecture: all
Depends:
 adduser,
 manila-common (= ${binary:Version}),
 q-text-as-data,
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack shared file system as a service - API server
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Manila API server.

Package: manila-data
Architecture: all
Depends:
 manila-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: Manila storage service - Data service
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Manila is the OpenStack shared filesystem service.
 .
 This package contains the Manila Data service.

Package: manila-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 python3-manila (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack shared file system as a service - common files
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains commons components for Manila.

Package: manila-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack shared file system as a service - Doc
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the documentation.

Package: manila-scheduler
Architecture: all
Depends:
 manila-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack shared file system as a service - Scheduler server
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Manila Scheduler server.

Package: manila-share
Architecture: all
Depends:
 manila-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack shared file system as a service - Share server
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Manila Share daemon.

Package: python3-manila
Section: python
Architecture: all
Depends:
 alembic (>= 0.8.10),
 e2fsprogs,
 python3-alembic (>= 0.8.10),
 python3-babel (>= 2.3.4),
 python3-cinderclient (>= 1:3.3.0),
 python3-eventlet (>= 0.18.2),
 python3-greenlet (>= 0.4.10),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-lxml (>= 3.4.1),
 python3-netaddr (>= 0.7.18),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:9.1.0),
 python3-openstackclient,
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.rootwrap (>= 5.8.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.upgradecheck (>= 0.1.0),
 python3-oslo.utils (>= 3.33.0),
 python3-paramiko (>= 2.0.0),
 python3-paste (>= 2.0.2),
 python3-pastedeploy (>= 1.5.0),
 python3-pbr (>= 2.0.0),
 python3-psycopg2 (>= 2.6.2),
 python3-pymysql,
 python3-pyparsing (>= 2.1.0),
 python3-requests (>= 2.14.2),
 python3-retrying (>= 1.2.3),
 python3-routes (>= 2.3.1),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-stevedore (>= 1:1.20.0),
 python3-tooz (>= 1.58.0),
 python3-webob (>= 1:1.7.1),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack shared file system as a service - Python 3 libs
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Python 3 library for Manila.

## manila 10.0.0~b3~git2020032516.cb016333

=== doc/requirements.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # The order of packages is significant, because pip processes them in the order
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
-openstackdocstheme>=1.20.0 # Apache-2.0
+openstackdocstheme>=1.31.2 # Apache-2.0
 reno>=2.5.0 # Apache-2.0
 doc8>=0.6.0 # Apache-2.0
 sphinx!=1.6.6,!=1.6.7,!=2.1.0,>=1.6.2;python_version>='3.4'  # BSD

=== debian/changelog ===
manila (1:10.0.0~b3~git2020032516.cb016333-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/manila-common.postinst.in: Set default ownership and permissions for
    /etc/<pkg>, /var/lib/<pkg>, and /var/log/<pkg> (LP: #1859422).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 25 Mar 2020 16:14:52 -0400

## manila 10.0.0~b3~git2020041013.ea90fd17

=== requirements.txt ===
--- 
+++ 
@@ -9,7 +9,6 @@
 Babel!=2.4.0,>=2.3.4 # BSD
 eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
 greenlet>=0.4.10 # MIT
-ipaddress>=1.0.17;python_version<'3.3' # PSF
 lxml!=3.7.0,>=3.4.1 # BSD
 netaddr>=0.7.18 # BSD
 oslo.config>=5.2.0 # Apache-2.0

=== debian/changelog ===
manila (1:10.0.0~b3~git2020041013.ea90fd17-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/manila-common.postinst.in: Set ownership and permissions for all /var/lib
    files and directories.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Apr 2020 13:12:59 -0400

=== debian/control ===
--- 
+++ 
@@ -38,7 +38,7 @@
  python3-netaddr (>= 0.7.18),
  python3-neutronclient (>= 1:6.7.0),
  python3-novaclient (>= 2:9.1.0),
- python3-openstackdocstheme (>= 1.31.1-0ubuntu2~),
+ python3-openstackdocstheme (>= 1.31.2),
  python3-os-api-ref (>= 1.4.0),
  python3-os-testr (>= 1.0.0),
  python3-oslo.concurrency (>= 3.26.0),

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,systemd,sphinxdoc
+	dh $@ --buildsystem=pybuild --with python3,systemd,sphinxdoc
 
 override_dh_auto_clean:
 	rm -f etc/manila/manila.conf
@@ -24,11 +24,8 @@
 	echo "Do nothing..."
 
 override_dh_install:
-	for i in $(PYTHON3S) ; do \
-		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
-	done
-
-	rm -rf $(CURDIR)/debian/tmp/usr/etc
+	pkgos-dh_auto_install --no-py2
+	rm -rf $(CURDIR)/debian/python3-manila/usr/etc
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	pkgos-dh_auto_test --no-py2 'manila\.tests\.((?!.*cmd\.test_manage\.ManilaCmdManageTestCase\.test_run_ipython.*|.*share\.drivers\.dell_emc.*))'
@@ -36,7 +33,7 @@
 
 	# Generate the config file
 	mkdir -p $(CURDIR)/debian/manila-common/usr/share/manila-common
-	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
+	PYTHONPATH=$(CURDIR)/debian/python3-manila/usr/lib/python3/dist-packages oslo-config-generator \
 		--namespace manila \
 		--namespace oslo.messaging \
 		--namespace oslo.middleware.cors \
@@ -50,7 +47,7 @@
 	pkgos-fix-config-default $(CURDIR)/debian/manila-common/usr/share/manila-common/manila.conf keystone_authtoken auth_protocol http
 	pkgos-fix-config-default $(CURDIR)/debian/manila-common/usr/share/manila-common/manila.conf oslo_concurrency lock_path /var/lock/manila
 
-	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
+	PYTHONPATH=$(CURDIR)/debian/python3-manila/usr/lib/python3/dist-packages oslopolicy-sample-generator \
 		--output-file $(CURDIR)/debian/manila-common/usr/share/manila-common/policy.json \
 		--format json \
 		--namespace manila
@@ -73,7 +70,7 @@
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
-	python3 -m sphinx -b html doc/source $(CURDIR)/debian/manila-doc/usr/share/doc/manila-doc/html
+	sphinx-build -b html doc/source $(CURDIR)/debian/manila-doc/usr/share/doc/manila-doc/html
 	dh_sphinxdoc
 endif

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/manila manila-(9\.\d.*)\.tar.gz
